Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.net
Enum SASLAuthentication.ElementType

    java.lang.Object
      java.lang.Enum<SASLAuthentication.ElementType>
          org.jivesoftware.openfire.net.SASLAuthentication.ElementType

All Implemented Interfaces:
  Serializable, Comparable<SASLAuthentication.ElementType>

Enclosing class:
  SASLAuthentication

    public static enum SASLAuthentication.ElementType

extends Enum<SASLAuthentication.ElementType>

Enum Constant Summary
`AUTH`
`CHALLENGE`
`FAILURE`
`RESPONSE`
`UNDEF`

Method Summary
`String` | `toString()`
`static SASLAuthentication.ElementType` | `valueof(String name)`
`static SASLAuthentication.ElementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SASLAuthentication.ElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTH

    public static final SASLAuthentication.ElementType AUTH

### RESPONSE

    public static final SASLAuthentication.ElementType RESPONSE

### CHALLENGE

    public static final SASLAuthentication.ElementType CHALLENGE

### FAILURE

    public static final SASLAuthentication.ElementType FAILURE

### UNDEF

    public static final SASLAuthentication.ElementType UNDEF

Method Detail

### values

    public static final SASLAuthentication.ElementType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SASLAuthentication.ElementType c : SASLAuthentication.ElementType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SASLAuthentication.ElementType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SASLAuthentication.ElementType>`

### valueof

    public static SASLAuthentication.ElementType valueof(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.